
QGIS Application - Bug report #10119

QGIS master freezes when layer in project is removed from the database

2014-04-25 01:04 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18584

Description

subject says it all, it wasn't an issue in previous qgis versions (like 1.8) where error messages where logged, but the program stayed

reactive and alive.

Don't if it happens also for other datasources, didn't tested (yet).

Associated revisions

Revision 779bf5fb - 2014-06-01 06:04 PM - Jürgen Fischer

postgres: close connection when cursor can't be opened (fixes #10119)

History

#1 - 2014-06-01 08:15 AM - Jürgen Fischer

- Subject changed from QGIS master freezes when removing from the DB a PostGIS layer that is in the project to QGIS master freezes when layer in 

project is removed from the database

#2 - 2014-06-01 09:05 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"779bf5fb33b33f22f1174384e9d9db442c2ce9e0".
